<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$objetocalculo=new calculos();
$sessao = new sessao();
$finalidade=$sessao->getVar('finalidade');
$anoCorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$cliente=strtoupper($sessao->getVar('cliente' ) ?? "");
$master=$sessao->getVar('master');
$amostraLong=$sessao->getVar('amostraLong');
$userAmo = new amostras();
$userRea = new rean1();
$generica=new tabelagenerica();
$mensagemMaster="Para salver precisa da senha do administrador.";
//echo(" Operador: $nomeOperador cod_labo= $idLabo amostraLong=$amostraLong<br>");


switch ($tela):


    case 'listar':
	if(post('grupo') !== ""):
	  $inicio=post('inicio');//isso esta certo
	  $final=post('final');
	  //echo("achou inicio=$inicio  final=$final<br>");
	  $acao='acharDigitada';
      //echo("vai salvar $statusAmostra<br>");
	  if($inicio>0  && $final>0 && $final>=$inicio ):
		  for($registro=$inicio;$registro<=$final;$registro++):
		     $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
			 echo("Fechou amostra  $registro  id=$amostraLong<br>");
		     $user = new amostras(array(
			 'fic_status_finalizada'=>"SIM",    
		     ));
		     $user->valorpk = $amostraLong;
		     $user->atualizar($user);
			 
			 
		  endfor;
	  else:
	    printMSG('Informe intervalo, válido','erro');	  
      endif;
	endif;		

	if($amostraLong>0):  
	  //echo("nomeTeste= $nomeTeste master  $master<br>");
	  //////////////////////////////////
	  if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
	   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
      	if(post('acharAvanca') !== "")$acao='avanca';
      	if(post('acharRecua') !== "")$acao='recua';
      	if(post('acharUltima') !== "")$acao='ultima';
        $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		$controlador='R1';
	  endif;////fim da busca de amostra (botao achar))	  
	  ///////////////
	  
	  /////////////////////////
      $user = new amostras();
		$user->extras_select =" where  fic_id=".$amostraLong ;
        $user->selecionaTudo($user);
		//echo("extraselect=$user->extras_select finalidade=$finalidade<br>");
		while ($resAmostra = $user->retornaDados()):
		    $idCultivar=$resAmostra->fic_cultivar;
			if($finalidade=='DEFINITIVA'):
		       $amostra=$resAmostra->fic_amostra;
			else:
		       $amostra=$resAmostra->fic_amostra_previa;
			endif; 
		    $ultima=$resAmostra->fic_amostra;
			$lote=$resAmostra->fic_lote;
			$voc=$resAmostra->fic_outrascultivares;
			$pesoNocivas=$resAmostra->fic_pesodet_nocivas;
			$pesoOutrasCultivares=$resAmostra->fic_pesodet_octv;
			$pesoOutrasSementes=$resAmostra->fic_pesodet_dosn;
			$compl=$resAmostra->fic_complemento;
            //printf('<td>%s</td>hhhhhhhhh',$idCultivar );
      endwhile;
      ////////	  
	  
	  if(post('bt_gravar') !== ""):
	    if($master=='s'):	
            //vai salvar status amoastra
		    if(post('rd_amostra') !== ""):
			  $statusAmostra=post('rd_amostra');
			endif;

		    if(post('rd_rt') !== ""):
			  $statusAmostra=post('rd_amostra');
			  $statusFinalizadaRT=post('rd_rt');
			  //echo("97statusFinalizadaRT=$statusFinalizadaRT  statusAmostra=$statusAmostra  <br>");
			endif;

		    if(post('rd_dosn') !== ""):
			  $statusFinalizadaNocivas=post('rd_dosn');
			  //echo("102statusDOSN=$statusFinalizadaNocivas  <br>");
			endif;


	        //echo("vai salvar $statusAmostra<br>");		 
	        $user = new amostras(array(
			  'fic_vigor'=>$statusAmostra,
			  'fic_status_finalizada'=>$statusFinalizadaRT,    
			  'fic_finalizada_nocivas'=>$statusFinalizadaNocivas,    
	        ));
	        $user->valorpk = $amostraLong;
	        $user->atualizar($user);
			
            //vai salvar status germinacao#####################################
		    if(post('rd_germinacao') !== "")$statusGerminacao=post('rd_germinacao');
            $sql="update rean1 set rea_finalizada='".$statusGerminacao."' where  rea_teste='GERM' and  rea_ficha=".$amostraLong;
			$generica->grava_registro_com_retorno($sql); 
            //vai salvar status PUREZA#####################################
		    if(post('rd_pureza') !== "")$statusPureza=post('rd_pureza');
            $sql="update rean1 set rea_finalizada='".$statusPureza."' where  rea_teste='PURE' and  rea_ficha=".$amostraLong;
			$generica->grava_registro_com_retorno($sql); 
            //vai salvar statusPMS#####################################
		    if(post('rd_pms') !== "")$statusPMS=post('rd_pms');
            $sql="update rean1 set rea_finalizada='".$statusPMS."' where  rea_teste='PMS' and  rea_ficha=".$amostraLong;
			$generica->grava_registro_com_retorno($sql); 
			
			
            printMSG('Ok. Salvou','erro');

        else:  		
		   printMSG($mensagemMaster,'erro');
		endif;//testou se é master
	  endif;//testa o isset do botao salvar


	if(post('grupoFecharTudo') !== ""):
	  $inicio=post('inicio');//isso esta certo
	  $final=post('final');
	  //echo("achou inicio=$inicio  final=$final<br>");
	  $acao='acharDigitada';
      //echo("vai salvar $statusAmostra<br>");
	  if($inicio>0  && $final>0 && $final>=$inicio ):
		  for($registro=$inicio;$registro<=$final;$registro++):
		     $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
			 //echo("146Finalizada RT  $registro  id=$amostraLong<br>");
             //fecha tela registro de amostra  
			 $statusAmostra='Fechada';			 
			 $statusFinalizadaNocivas='s';			 
			 $statusFinalizadaRT="SIM";   
			 $user = new amostras(array(
			  'fic_vigor'=>$statusAmostra,
			  'fic_status_finalizada'=>$statusFinalizadaRT,    
			  'fic_finalizada_nocivas'=>$statusFinalizadaNocivas,    
	        ));
	        $user->valorpk = $amostraLong;
	        $user->atualizar($user);
	        //echo("158vai salvar na fechar tudo $statusAmostra <br>");		 
			 
            //vai salvar status PUREZA#####################################
            $sql="update rean1 set rea_finalizada='s' where  rea_teste='PURE' and  rea_ficha=".$amostraLong;
			$generica->grava_registro_com_retorno($sql); 
            //vai salvar status GERM#####################################
            $sql="update rean1 set rea_finalizada='s' where  rea_teste='GERM' and  rea_ficha=".$amostraLong;
			$generica->grava_registro_com_retorno($sql); 
            //vai salvar status PMS#####################################
            $sql="update rean1 set rea_finalizada='s' where  rea_teste='PMS' and  rea_ficha=".$amostraLong;
			$generica->grava_registro_com_retorno($sql); 

		  endfor;
	  else:
	    printMSG('Informe intervalo, válido','erro');	  
      endif;
	endif;		


	 
	  
	  

	     //pode fazer alteracoes 
		 //$userAmo = new amostras(); 
  		 $userAmo->extras_select = "WHERE fic_id=".$amostraLong;
         $userAmo->selecionaTudo($userAmo);
         $resAmo = $userAmo->retornaDados();
         $legendaFechada=$resAmo->fic_vigor;
         $legendaFechadaRT=$resAmo->fic_status_finalizada;
         $legendaFechadaDOSN=$resAmo->fic_finalizada_nocivas;	
		 //echo("189xxxxxxxxlegendaFechadaRT=$legendaFechadaRT  xxxlegendaFechadaDOSN=$legendaFechadaDOSN  <br>");
         $pedaco1="";
         $pedaco2="";
         $definitiva=$resAmo->fic_amostra;
         $previa=$resAmo->fic_amostra_previa;
         if($definitiva>0)$pedaco1="Definitiva=".$definitiva;
         if($previa>0)$pedaco2="  Prévia=".$previa;
         $legendaAmostra=$pedaco1.$pedaco2;
		 //echo("<h2>Reg. de ".$legendaAmostra."().$legendaRequerente. $legendaFechada </h2>");
         //le a tabela REAN1
		 //$userRea = new rean1();
         //GERMINCACO 
  		 $userRea->extras_select = "WHERE rea_teste='GERM' and rea_ficha=".$amostraLong;
         $userRea->selecionaTudo($userRea);
         $resRea = $userRea->retornaDados();
         $legendaGerminacao=$resRea->rea_finalizada;
         //PUREZA 
  		 $userRea->extras_select = "WHERE rea_teste='PURE' and rea_ficha=".$amostraLong;
         $userRea->selecionaTudo($userRea);
         $resRea = $userRea->retornaDados();
         $legendaPureza=$resRea->rea_finalizada;
         //PMS
  		 $userRea->extras_select = "WHERE rea_teste='PMS' and rea_ficha=".$amostraLong;
         $userRea->selecionaTudo($userRea);
         $resRea = $userRea->retornaDados();
         $legendaPMS=$resRea->rea_finalizada;
         if($legendaPMS=="")$observacaoPMS="Teste PMS inexistente";
         //echo("legenda pms  $legendaPMS   legendaPureza  $legendaPureza<br>");

		 echo '<h2>Fechar/bloquear acesso nalgumas operações, na amostra selecionada:'. $amostra.'</h2>';
		 
         //aqui vai fazer todos enquadramentos no cheques 
         //fechamento da amostra  
         if($legendaFechada=='Fechada'):
		    $chequeAmostra1="checked"; 
		    $chequeAmostra2=""; 
		 else:
		    $chequeAmostra2="checked"; 
		    $chequeAmostra1=""; 
         endif;		 
         //fechamento da germinacao  
         if($legendaGerminacao=='s'):
		    $chequeGerminacao1="checked"; 
		    $chequeGerminacao2=""; 
		 else:
		    $chequeGerminacao2="checked"; 
		    $chequeGerminacao1=""; 
         endif;		 
         //fechamento da pureza  
         if($legendaPureza=='s'):
		    $chequePureza1="checked"; 
		    $chequePureza2=""; 
		 else:
		    $chequePureza2="checked"; 
		    $chequePureza1=""; 
         endif;	
		 	 
         //fechamento da pms  
         if($legendaPMS=='s'):
		    $chequePMS1="checked"; 
		    $chequePMS2=""; 
		 else:
		    $chequePMS2="checked"; 
		    $chequePMS1=""; 
         endif;		 

         //fechamento da DOSN  
         if($legendaFechadaDOSN=='s'):
		    $chequeDOSN1="checked"; 
		    $chequeDOSN2=""; 
		 else:
		    $chequeDOSN2="checked"; 
		    $chequeDOSN1=""; 
         endif;		 
         //echo("262legendaDOSN=$legendaFechadaDOSN<br<");



      //fechamento pelo RT  
         if($legendaFechadaRT=='SIM'):
		    $chequeRT1="checked"; 
		    $chequeRT2=""; 
		 else:
		    $chequeRT2="checked"; 
		    $chequeRT1=""; 
         endif;		 

         //fim dos enquadramentos 



		 ?>
		 <link href="/css/bt.css" rel="stylesheet" type="text/css" />
 		 <form class="userform" method="post" action="">
         <table bgcolor="white" width="700">
         <tr>
		 <td bgcolor="#9fb5dd">Informação</td>
		 <td bgcolor="#9fb5dd">Fechada</td>
		 <td bgcolor="#9fb5dd">Aberta</td>
		 <td bgcolor="#9fb5dd">Local afetado</td>
		 <td bgcolor="#9fb5dd">Observações</td>
		 </tr> 		 

         <tr>
		 <td>Dados da amostra</td>
		 <td><input type="radio" name="rd_amostra" value="Fechada"   <?php echo $chequeAmostra1; ?>   ></td>
		 <td><input type="radio" name="rd_amostra" value=""   <?php echo $chequeAmostra2; ?>   ></td>
		 <td>Registro de espécie, representatividade etc</td>
		 </tr> 		 
        <tr>
		 <td>Germinação</td>
		 <td><input type="radio" name="rd_germinacao" value="s"   <?php echo $chequeGerminacao1; ?>   ></td>
		 <td><input type="radio" name="rd_germinacao" value=""   <?php echo $chequeGerminacao2; ?>   ></td>
		 <td>Leitura de germinação</td>
		 </tr> 		 
        <tr>
		 <td>Pureza</td>
		 <td><input type="radio" name="rd_pureza" value="s"   <?php echo $chequePureza1; ?>   ></td>
		 <td><input type="radio" name="rd_pureza" value=""   <?php echo $chequePureza2; ?>   ></td>
		 <td>Leitura de pureza, pesos, mat. inerte etc</td>
		 </tr> 		 
        <tr>
		 <td>PMS</td>
		 <td><input type="radio" name="rd_pms" value="s"   <?php echo $chequePMS1; ?>   ></td>
		 <td><input type="radio" name="rd_pms" value=""   <?php echo $chequePMS2; ?>   ></td>
		 <td>Tela de leitura dos pesos de 100 sementes</td>
         <td><?php echo $observacaoPMS;?></td>
		 </tr> 		 
        <tr>
		 <td>DOSN</td>
		 <td><input type="radio" name="rd_dosn" value="s"   <?php echo $chequeDOSN1; ?>   ></td>
		 <td><input type="radio" name="rd_dosn" value="n"   <?php echo $chequeDOSN2; ?>   ></td>
		 <td>Tela de determinação de outras sementes por número</td>
 		 </tr> 		 


         <tr>
		 <td>Finalizada pelo RT</td>
		 <td><input type="radio" name="rd_rt" value="SIM"   <?php echo $chequeRT1; ?>   ></td>
		 <td><input type="radio" name="rd_rt" value="NAO"   <?php echo $chequeRT2; ?>   ></td>
		 <td>Amostra pode ir para Documento</td> 
         </tr>
         </table>
<br>
		  <input type="submit" name="bt_gravar" value="Gravar escolhas, para amostra <?php echo $amostra; ?>" />
		  <!--localizador de amostra-->
		 <td>Localizar amostra:			
	     <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" />
	     <input type="submit" name="acharDigitada" value="<--Achar" />
		 </td>
		
		 <td><input type="submit" name="acharRecua" value="<" />
		 <input type="submit" name="acharAvanca" value=">" />
		 <input type="submit" name="acharUltima" value=">|" />
		 </td>
<hr>
<h2>Fechar/bloquear acesso nalgumas operações, em amostras dum intervalo:</h2>

<td>Intervalo: Da amostra <input type="text" size="1"  maxlength="5" name="inicio" value="" />até a amostra <input type="text" size="1"  maxlength="5" name="final" value="" />
<input type="submit" name="grupoFecharTudo" value="Fechar TUDO neste intervalo"/>
<hr>		 






	    <!-- <input type="submit" name="grupo"  value="ir" alt="Ir"> 
		 
		 <a href="?m=fecharAbrirAmostraResultados&t=listar&s1=%s" title="ir"><img src="images/ir.jpg"  alt="ir" /></a> -->
		 	 


	  	
          <!--SE O OPERADOR NAO É O ADMINISTRADOR ENTAO NAO APARECERA O BOTAO SALVAR--> 
        </form>
	<?php
    else:
       echo "Acesse antes uma amostra acessando qualquer um dos modulos do programa";  	
	endif;		
 
    break;




	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>